Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amentra.metamatrix.solr
Class SolrConnection

    java.lang.Object
      com.amentra.metamatrix.solr.SolrConnection

All Implemented Interfaces:
  com.metamatrix.data.api.Connection, com.metamatrix.data.pool.SourceConnection

    public class SolrConnection

extends java.lang.Object
implements com.metamatrix.data.api.Connection, com.metamatrix.data.pool.SourceConnection

Author:
  Michael Walker

Field Summary

Fields inherited from interface com.metamatrix.data.pool.SourceConnection
`DEFAULT_SOURCE_CONNECTION_TEST_INTERVAL, SOURCE_CONNECTION_TEST_INTERVAL`

Constructor Summary
`SolrConnection(com.metamatrix.data.api.ConnectorLogger logger, java.util.Properties props)`

Method Summary
`void` | `closeSource()` /* Does nothing -- don't see a way to close the server connection here, based on the SolrJ API.
`com.metamatrix.data.api.Execution` | `createExecution(int executionMode, com.metamatrix.data.api.ExecutionContext executionContext, com.metamatrix.data.metadata.runtime.RuntimeMetadata md)`
`com.metamatrix.data.api.ConnectorCapabilities` | `getCapabilities()`
`com.metamatrix.data.api.ConnectorMetadata` | `getMetadata()`
`boolean` | `isAlive()`
`boolean` | `isFailed()`
`void` | `release()`
`void` | `setConnectionPool(com.metamatrix.data.pool.ConnectionPool pool)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrConnection

    public SolrConnection(com.metamatrix.data.api.ConnectorLogger logger,
                          java.util.Properties props)

Method Detail

### setConnectionPool

    public void setConnectionPool(com.metamatrix.data.pool.ConnectionPool pool)

### createExecution

    public com.metamatrix.data.api.Execution createExecution(int executionMode,
                                                             com.metamatrix.data.api.ExecutionContext executionContext,
                                                             com.metamatrix.data.metadata.runtime.RuntimeMetadata md)
                                                      throws com.metamatrix.data.exception.ConnectorException

  Specified by:
    `createExecution` in interface `com.metamatrix.data.api.Connection`
  Throws:
    `com.metamatrix.data.exception.ConnectorException`

### getCapabilities

    public com.metamatrix.data.api.ConnectorCapabilities getCapabilities()

  Specified by:
    `getCapabilities` in interface `com.metamatrix.data.api.Connection`

### getMetadata

    public com.metamatrix.data.api.ConnectorMetadata getMetadata()

  Specified by:
    `getMetadata` in interface `com.metamatrix.data.api.Connection`

### release

    public void release()

  Specified by:
    `release` in interface `com.metamatrix.data.api.Connection`

### closeSource

    public void closeSource()
                     throws com.metamatrix.data.exception.ConnectorException

  /* Does nothing -- don't see a way to close the server connection here, based on the SolrJ API.

  Specified by:
    `closeSource` in interface `com.metamatrix.data.pool.SourceConnection`
  Throws:
    `com.metamatrix.data.exception.ConnectorException`

### isAlive

    public boolean isAlive()

  Specified by:
    `isAlive` in interface `com.metamatrix.data.pool.SourceConnection`

### isFailed

    public boolean isFailed()

  Specified by:
    `isFailed` in interface `com.metamatrix.data.pool.SourceConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD